# Updates a shipping configuration with the specified ID. This method will update an existing shipping configuration with the specified ID. Endpoint: PUT /shippingConfigurations/{tenantId} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Request fields (application/json): - `default_ship_from_address` (object) A complete address - `default_ship_from_address.city` (string) The city of the address - `default_ship_from_address.country` (string) The country ISO code - `default_ship_from_address.country_name` (string) The full name of hte country - `default_ship_from_address.county` (string) The county - `default_ship_from_address.latitude` (number) - `default_ship_from_address.line1` (string) The first line of the address - `default_ship_from_address.line2` (string) The second line of the address - `default_ship_from_address.line3` (string) The third line of the address - `default_ship_from_address.longitude` (number) - `default_ship_from_address.postal_code` (string) The zip/postal code - `default_ship_from_address.state` (string) The state/province of the address - `default_ship_from_address.time_zone_id` (string) - `default_ship_from_name` (string) The name of the shipper - `default_shipping_product_id` (string) The default shipping product id to use - `notes` (string) Any notes about this configuration - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `zones` (array) - `zones.countries` (array) - `zones.enabled` (boolean, required) Whether or not this zone is enabled - `zones.id` (string, required) A unique id for the zone - `zones.name` (string, required) The name of the zone - `zones.postal_code_ranges` (array) - `zones.pricing_strategies` (object) - `zones.pricing_strategies.flat_rate` (object) - `zones.pricing_strategies.flat_rate.enabled` (boolean) Whether or not the flat rate pricing strategy is enabled - `zones.pricing_strategies.flat_rate.shipping_methods` (array) - `zones.pricing_strategies.flat_rate.shipping_methods.display_name` (string, required) The name to display to the user - `zones.pricing_strategies.flat_rate.shipping_methods.display_order` (number) Optional number indicating the order to display this method to the user - `zones.pricing_strategies.flat_rate.shipping_methods.id` (string, required) A unique id for the method - `zones.pricing_strategies.flat_rate.shipping_methods.shipping_product_id` (string) The default product to use - `zones.pricing_strategies.flat_rate.shipping_methods.shipping_rate` (number, required) - `zones.pricing_strategies.flat_rate.shipping_methods.type` (string, required) The type of order calculation Enum: "per item", "per order" - `zones.pricing_strategies.flat_rate.shipping_product_id` (string) The default product to use for shipping - `zones.pricing_strategies.free` (object) - `zones.pricing_strategies.free.display_name` (string, required) Display name for this strategy - `zones.pricing_strategies.free.do_not_show_in_portal` (boolean) If true, this option is not available in the portal - `zones.pricing_strategies.free.enabled` (boolean) Whether or not the free pricing strategy is enabled - `zones.pricing_strategies.free.maximum_order_amount` (number) The maximum order amount to qualify for free shipping - `zones.pricing_strategies.free.minimum_order_amount` (number) The minimum order amount to qualify for free shipping - `zones.pricing_strategies.pick_up_in_store` (object) - `zones.pricing_strategies.pick_up_in_store.cost` (number, required) The cost of in store pickup - `zones.pricing_strategies.pick_up_in_store.enabled` (boolean) Whether or not the pick up in store strategy is enabled - `zones.pricing_strategies.ship_by` (object) - `zones.pricing_strategies.ship_by.enabled` (boolean) Whether or not the ship by pricing strategy is enabled - `zones.pricing_strategies.ups` (object) - `zones.pricing_strategies.ups.enabled` (boolean) Whether or not this is enabled - `zones.pricing_strategies.ups.limit_shipping_options` (boolean) If set, only certain options are shown to the user - `zones.pricing_strategies.ups.markup_amount` (number) A % markup to add to the calculated UPS prices - `zones.pricing_strategies.ups.markup_type` (string) Apply a markup to the UPS fees Enum: "amount", "none", "percentage" - `zones.pricing_strategies.ups.override_default_ship_from_address` (boolean) If set, an different ship from address is used - `zones.pricing_strategies.ups.ship_from_address` (object) A complete address - `zones.pricing_strategies.ups.shipping_options` (array) Allows you to restrict the options shown to the - `zones.pricing_strategies.ups.ups_account_id` (string, required) The UPS account to use for integration - `zones.states` (array) - `zones.type` (string) Enum: "country", "postal code", "rest of the world", "state" ## Response 200 fields (application/json): - `default_ship_from_address` (object) A complete address - `default_ship_from_address.city` (string) The city of the address - `default_ship_from_address.country` (string) The country ISO code - `default_ship_from_address.country_name` (string) The full name of hte country - `default_ship_from_address.county` (string) The county - `default_ship_from_address.latitude` (number) - `default_ship_from_address.line1` (string) The first line of the address - `default_ship_from_address.line2` (string) The second line of the address - `default_ship_from_address.line3` (string) The third line of the address - `default_ship_from_address.longitude` (number) - `default_ship_from_address.postal_code` (string) The zip/postal code - `default_ship_from_address.state` (string) The state/province of the address - `default_ship_from_address.time_zone_id` (string) - `default_ship_from_name` (string) The name of the shipper - `default_shipping_product_id` (string) The default shipping product id to use - `notes` (string) Any notes about this configuration - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `zones` (array) - `zones.countries` (array) - `zones.enabled` (boolean, required) Whether or not this zone is enabled - `zones.id` (string, required) A unique id for the zone - `zones.name` (string, required) The name of the zone - `zones.postal_code_ranges` (array) - `zones.pricing_strategies` (object) - `zones.pricing_strategies.flat_rate` (object) - `zones.pricing_strategies.flat_rate.enabled` (boolean) Whether or not the flat rate pricing strategy is enabled - `zones.pricing_strategies.flat_rate.shipping_methods` (array) - `zones.pricing_strategies.flat_rate.shipping_methods.display_name` (string, required) The name to display to the user - `zones.pricing_strategies.flat_rate.shipping_methods.display_order` (number) Optional number indicating the order to display this method to the user - `zones.pricing_strategies.flat_rate.shipping_methods.id` (string, required) A unique id for the method - `zones.pricing_strategies.flat_rate.shipping_methods.shipping_product_id` (string) The default product to use - `zones.pricing_strategies.flat_rate.shipping_methods.shipping_rate` (number, required) - `zones.pricing_strategies.flat_rate.shipping_methods.type` (string, required) The type of order calculation Enum: "per item", "per order" - `zones.pricing_strategies.flat_rate.shipping_product_id` (string) The default product to use for shipping - `zones.pricing_strategies.free` (object) - `zones.pricing_strategies.free.display_name` (string, required) Display name for this strategy - `zones.pricing_strategies.free.do_not_show_in_portal` (boolean) If true, this option is not available in the portal - `zones.pricing_strategies.free.enabled` (boolean) Whether or not the free pricing strategy is enabled - `zones.pricing_strategies.free.maximum_order_amount` (number) The maximum order amount to qualify for free shipping - `zones.pricing_strategies.free.minimum_order_amount` (number) The minimum order amount to qualify for free shipping - `zones.pricing_strategies.pick_up_in_store` (object) - `zones.pricing_strategies.pick_up_in_store.cost` (number, required) The cost of in store pickup - `zones.pricing_strategies.pick_up_in_store.enabled` (boolean) Whether or not the pick up in store strategy is enabled - `zones.pricing_strategies.ship_by` (object) - `zones.pricing_strategies.ship_by.enabled` (boolean) Whether or not the ship by pricing strategy is enabled - `zones.pricing_strategies.ups` (object) - `zones.pricing_strategies.ups.enabled` (boolean) Whether or not this is enabled - `zones.pricing_strategies.ups.limit_shipping_options` (boolean) If set, only certain options are shown to the user - `zones.pricing_strategies.ups.markup_amount` (number) A % markup to add to the calculated UPS prices - `zones.pricing_strategies.ups.markup_type` (string) Apply a markup to the UPS fees Enum: "amount", "none", "percentage" - `zones.pricing_strategies.ups.override_default_ship_from_address` (boolean) If set, an different ship from address is used - `zones.pricing_strategies.ups.ship_from_address` (object) A complete address - `zones.pricing_strategies.ups.shipping_options` (array) Allows you to restrict the options shown to the - `zones.pricing_strategies.ups.ups_account_id` (string, required) The UPS account to use for integration - `zones.states` (array) - `zones.type` (string) Enum: "country", "postal code", "rest of the world", "state" ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields